Bug 1538781 - [3.7] Installer failed to configure AWS cloudprovider for EC2 C5 instance
Summary: [3.7] Installer failed to configure AWS cloudprovider for EC2 C5 instance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.z
Assignee: Russell Teague
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 19:51 UTC by Russell Teague
Modified: 2018-04-05 09:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Amazon EC2 C5 instances use different identifiers for bios_vendor Consequence: Code which uses this information for identifying the host as an AWS instance was not being run Fix: Added logic to use the new bios_vendor identifier Result: AWS C5 instances are properly identified by openshift-ansible code
Clone Of: 1533099
Environment:
Last Closed: 2018-04-05 09:35:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:35:55 UTC

Comment 1 Russell Teague 2018-01-25 19:54:50 UTC
Proposed: https://github.com/openshift/openshift-ansible/pull/6879

Comment 2 Russell Teague 2018-01-26 14:45:57 UTC
Merged

Comment 3 Russell Teague 2018-01-29 13:20:59 UTC
Fixed in openshift-ansible-3.7.27-1

Comment 4 Gan Huang 2018-01-30 06:45:48 UTC
Verified in openshift-ansible-3.7.27-1.git.0.ae95fc3.el7.noarch.rpm

Comment 8 errata-xmlrpc 2018-04-05 09:35:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.